#include<stdio.h>
#include<math.h>
int brc(int n){
	int br=0;
	while(n>0){
		br++;
		n=n/10;
	}
	return br;
}
int pc(int a){
	return a/(pow(10,brc(a)-1));
}
main(){
	int A,B,C,pb=0,db=0,tb=0,ac=0,bc=0,cc=0; 
	scanf("%d%d%d",&A,&B,&C);
	ac=pc(A); 
	bc=pc(B); 
	cc=pc(C); 
	if(ac>bc && ac>cc && bc>cc) {
		pb=A; db=B; tb=C;
	}
	else if(ac>bc && ac>cc && cc>bc) {
		pb=A; db=C; tb=B;
	}
	else if(bc==cc) {
		if(B>C) {
			db=B;
			tb=C;
		}
		else {
			db=C;
			tb=B;
		}
	}
	if(bc>ac && bc>cc && ac>cc) {
		pb=B; db=A; tb=C;
	}
	else if(bc>ac && bc>cc && cc>ac) {
		pb=B; db=C; tb=A;
	}
	else if(ac==cc) {
		if(A>C) {
			db=A;
			tb=C;
		}
		else {
			db=C;
			tb=A;
		}
	}
	if(cc>bc && cc>ac && ac>bc) {
		pb=C; db=A; tb=B;
	}
	else if(cc>bc && cc>ac && bc>ac) {
		pb=C; db=B; tb=A;
	}
	else if(ac==bc) {
		if(A>B) {
			db=A;
			tb=B;
		}
		else {
			db=B;
			tb=A;
		}
	}
	printf("%d%d%d",pb,db,tb);
}